import { createStore } from '@stencil/store';
const { state, onChange } = createStore({
  darkTheme: undefined,
});
onChange('darkTheme', (dark) => {
  const domBodyClassList = document.body.classList;
  dark ? domBodyClassList.add('dark') : domBodyClassList.remove('dark');
});
export default { state };
